Galon Cloud
Galon API v1

/projects/{project_id}/webhooks/{endpoint_id}/rotate-secret

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /projects/{project_id}/webhooks/{endpoint_id}/rotate-secret

Rotate the signing secret with a 24-hour overlap

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · required
endpoint_idpathstring · required

Responses

StatusDescriptionBody
200New secret displayed only onceWebhookRotateSecretResponse
404webhook_not_found
503webhook_unavailable

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/webhooks/<endpoint_id>/rotate-secret" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.rotateSecret("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.webhooks.rotate_secret("<id>")